import peasy.*; //PeasyCamライブラリをインストールしてインポート
PeasyCam cam;

PImage loadPng;

void setup() {
  size(1024, 768, P3D);
  //カメラの初期化
  cam = new PeasyCam(this, 700);
  //標高タイル画像を読み込む
  loadPng = loadImage("10-906-404.png");
}

void draw(){
  background(0);
  noStroke();
  
  float pixMargin = 5.0;
  for(int j=0; j<loadPng.height; j++){
    for(int i=0; i<loadPng.width; i++){
      
      //画像からピクセルのカラー（RGB）を取得
      color pxColor = loadPng.get(i,j);
      float red = red(pxColor);
      float green = green(pxColor);
      float blue = blue(pxColor);
      
      float x = (i - loadPng.width /2) * pixMargin;
      float y = (j - loadPng.height /2) * pixMargin;
      //R,G,Bの値から高さを求める
      float z = (red * 256 * 256 + green * 256 + blue) *0.0005;
      pushMatrix();
      
      translate(x,y,z);
      box(2);
      
      popMatrix();
    }
  }
  
}
